io.agora.rtc

## Class AgoraAudioDeviceManager

- java.lang.Object
- - io.agora.rtc.AgoraAudioDeviceManager

-     public class AgoraAudioDeviceManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private IAudioDeviceManagerObserver` | `_AudioDeviceManagerObserver`
    `private long` | `cptr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgoraAudioDeviceManager(long cptr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AgoraRecordDevice` | `createRecordingDeviceSource(java.lang.String device_id)`
    `void` | `destroy()`
    `int` | `getMicrophoneMute(Out mute)`
    `int` | `getMicrophoneVolume(Out volume)`
    `int` | `getSpeakerMute(Out mute)`
    `int` | `getSpeakerVolume(Out volume)`
    `private void` | `ndestroy()`
    `int` | `registerObserver(IAudioDeviceManagerObserver observer)`
    `int` | `setMicrophoneMute(int mute)`
    `int` | `setMicrophoneVolume(int volume)`
    `int` | `setSpeakerMute(int mute)`
    `int` | `setSpeakerVolume(int volume)`
    `int` | `unregisterObserver(IAudioDeviceManagerObserver observer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cptr

          private long cptr

    - #### _AudioDeviceManagerObserver

          private IAudioDeviceManagerObserver _AudioDeviceManagerObserver

  - ### Constructor Detail

    - #### AgoraAudioDeviceManager

          public AgoraAudioDeviceManager(long cptr)

  - ### Method Detail

    - #### ndestroy

          private void ndestroy()

    - #### destroy

          public void destroy()

    - #### createRecordingDeviceSource

          public AgoraRecordDevice createRecordingDeviceSource(java.lang.String device_id)

    - #### setMicrophoneVolume

          public int setMicrophoneVolume(int volume)

    - #### getMicrophoneVolume

          public int getMicrophoneVolume(Out volume)

    - #### setSpeakerVolume

          public int setSpeakerVolume(int volume)

    - #### getSpeakerVolume

          public int getSpeakerVolume(Out volume)

    - #### setMicrophoneMute

          public int setMicrophoneMute(int mute)

    - #### getMicrophoneMute

          public int getMicrophoneMute(Out mute)

    - #### setSpeakerMute

          public int setSpeakerMute(int mute)

    - #### getSpeakerMute

          public int getSpeakerMute(Out mute)

    - #### registerObserver

          public int registerObserver(IAudioDeviceManagerObserver observer)

    - #### unregisterObserver

          public int unregisterObserver(IAudioDeviceManagerObserver observer)